> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kryptonfund.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Prices

> Get current prices for all tokens from rates summary.

Returns a simple mapping of token symbols to their current USD prices.
USDC and kUSD are always priced at 1.0.
Other tokens use their current pool rates.



## OpenAPI

````yaml /api-reference/krypton_web3.json get /subgraph/token-prices
openapi: 3.1.0
info:
  title: Krypton Web3
  version: 0.1.0
servers:
  - url: https://kryptonweb3-production.up.railway.app/
    description: Production API
  - url: http://127.0.0.1:8001
    description: Local API
security: []
paths:
  /subgraph/token-prices:
    get:
      tags:
        - subgraph
      summary: Token Prices
      description: |-
        Get current prices for all tokens from rates summary.

        Returns a simple mapping of token symbols to their current USD prices.
        USDC and kUSD are always priced at 1.0.
        Other tokens use their current pool rates.
      operationId: token_prices_subgraph_token_prices_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````